Subject: Re: bug#50356: python-hy / python-funcparserlib / tox config file

From: Jelle Licht <[email-masked]>
Date: Wed, 22 Dec 2021 16:00:26 +0100

Vinicius Monego <[email-masked]> writes:

> Em sex, 2021-09-17 às 14:32 +0200, Jelle Licht escreveu:
>> 
>> Hello Andreas,
>> 
>> Andreas Reuleaux <[email-masked]> writes:
>> 
>> > Hi,
>> > 
>> > python-hy fails to install for me - because there are issues with
>> > python-funcparserlib, as I understand (or tox - cf the end of the
>> > log below).
>> > 
>> 
>> It seems the hy and funcparserlib devs are coordinating new releases;
>> perhaps we can resolve this issue by updating both python-
>> funcparserlib
>> and python-hy to their respective 1.0.0 releases once they are out.
>> 
>> - Jelle
>> 
>
> The problem is that funcparserlib 0.3.6 (which is the most recent
> release at the moment) is incompatible with the Python version in Guix.
> There is an alpha for funcparserlib 1.0.0 in PyPI. I updated to this
> and Hy to 0.20.0 and it does work aside from 3 Hy tests failing (from a
> total of 621).

The develpoers of hy also have a 1.0a3 alpha release; does your package
of funcparserlib work with that?

> The developer of funcparserlib expects to release 1.0.0 in the winter
> holidays so we may be able to fix this in the next week or so.

There is no ETA for hy yet, the devs are shaking up many things.

- Jelle